import gab.opencv.*;
import processing.video.*;
import java.awt.Rectangle;
import java.awt.AWTException;
import java.awt.Robot;


Capture video;
Robot robot;
OpenCV opencv;
Rectangle[] faces;

//These variables hold the x and y location for the middle of the detected face.
int midFaceY=0;
int midFaceX=0;

//The variables correspond to the middle of the screen, and will be compared to the midFace values
int midScreenY = (height/2);
int midScreenX = (width/2);
int midScreenWindow = 5;  //This is the acceptable 'error' for the center of the screen. 


void setup() {
  size(640, 480);
  video = new Capture(this, 640/2, 480/2);         // open video stream
  opencv = new OpenCV(this, 640/2, 480/2);
  opencv.loadCascade(OpenCV.CASCADE_FRONTALFACE);  // load detection 

  video.start();
  
  try {                                          //NEW
    robot = new Robot();                         //NEW
  }                                              //NEW
  catch (AWTException e) {                       //NEW
    e.printStackTrace();                         //NEW 
  }                                              //NEW

  
}



void draw() 

{
  scale(2);
  opencv.loadImage(video);

  image(video, 0, 0 );

  noFill();
  stroke(0, 255, 0);
  strokeWeight(3);
  Rectangle[] faces = opencv.detect();
  println(faces.length);

  for (int i = 0; i < faces.length; i++) {
    println(faces[i].x + "," + faces[i].y);
    rect(faces[i].x, faces[i].y, faces[i].width, faces[i].height);
    robot.mouseMove(faces[i].x + width/1, faces[i].y + height/1);            //NEW

  }
}

void captureEvent(Capture c) {
  c.read();
}
